# image metadef

Image v2

## image metadef namespace create

Create a metadef namespace

    openstack image metadef namespace create
        [--display-name <display_name>]
        [--description <description>]
        [--public | --private]
        [--protected | --unprotected]
        <namespace>

--display-name <display_name>

  A user-friendly name for the namespace.

--description <description>

  A description of the namespace

--public

  Set namespace visibility ‘public’

--private

  Set namespace visibility ‘private’

--protected

  Prevent metadef namespace from being deleted

--unprotected

  Allow metadef namespace to be deleted (default)

namespace

  New metadef namespace name

## image metadef namespace delete

Delete metadef namespace

    openstack image metadef namespace delete <namespace> [<namespace> ...]

namespace

  Metadef namespace(s) to delete (name)

## image metadef namespace list

List metadef namespaces

    openstack image metadef namespace list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--resource-types <resource_types>]
        [--visibility <visibility>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--resource-types <resource_types>

  filter resource types

--visibility <visibility>

  filter on visibility

## image metadef namespace set

Set metadef namespace properties

    openstack image metadef namespace set
        [--display-name <display_name>]
        [--description <description>]
        [--public | --private]
        [--protected | --unprotected]
        <namespace>

--display-name <display_name>

  Set a user-friendly name for the namespace.

--description <description>

  Set the description of the namespace

--public

  Metadef namespace is accessible to the public

--private

  Metadef namespace is inaccessible to the public (default)

--protected

  Prevent metadef namespace from being deleted

--unprotected

  Allow metadef namespace to be deleted (default)

namespace

  Metadef namespace to modify (name)

## image metadef namespace show

Show a metadef namespace

    openstack image metadef namespace show <namespace>

namespace

  Metadef namespace to show (name)

## image metadef resource type list

List metadef resource types

    openstack image metadef resource type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## image metadef object create

Create a metadef object

    openstack image metadef object create
        [--namespace <namespace>]
        <metadef-object-name>

--namespace <namespace>

  Metadef namespace to create the object in (name)

metadef-object-name

  New metadef object name

## image metadef object show

Show a particular metadef object

    openstack image metadef object show <namespace> <object>

namespace

  Metadef namespace of the object (name)

object

  Metadef object to show

## image metadef object list

List metadef objects inside a specific namespace.

    openstack image metadef object list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <namespace>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

namespace

  Namespace (name) for the namespace

## image metadef object delete

Delete metadata definitions object(s)

    openstack image metadef object delete <namespace> [<object> ...]

namespace

  Metadef namespace of the object (name)

object

  Metadef object(s) to delete (name) (omit this argument to delete all objects in the namespace)

## image metadef object update

Update a metadef object

    openstack image metadef object update
        [--name NAME]
        <namespace>
        <object>

--name <NAME>

  New name of the object

namespace

  Metadef namespace name

object

  Metadef object to be updated

## image metadef object property show

Describe a specific metadata definitions property inside an object.

    openstack image metadef object property show
        <namespace_name>
        <object_name>
        property

namespace_name

  Namespace (name) for the namespace

object_name

  Name of an object.

property

  Name of the property.

## image metadef property create

Create a metadef property

    openstack image metadef property create
        --name NAME
        --title TITLE
        --type TYPE
        --schema SCHEMA
        namespace

--name <NAME>

  Internal name of the property

--title <TITLE>

  Property name displayed to the user

--type <TYPE>

  Property type

--schema <SCHEMA>

  Valid JSON schema of the property

namespace

  Name of namespace the property will belong.

## image metadef property list

List metadef properties

    openstack image metadef property list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <namespace>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

namespace

  An identifier (a name) for the namespace

## image metadef property show

Show a particular metadef property

    openstack image metadef property show <namespace> <property>

namespace

  Metadef namespace of the property (name)

property

  Property to show

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.